Service Offerings - Effort Class Rates API
Bu içerik henüz dilinizde mevcut değil.
List effort class rates of a service offering
Заголовок раздела «List effort class rates of a service offering»List all effort class rates of the service offering with a specific ID.
GET /service_offerings/:id/effort_class_ratesResponse
Заголовок раздела «Response»Status: 200 OK[ { "effort_class": { "id": 4, "name": "Billable Support - Business Hours", "account": { "id": "pro-product", "name": "Widget International" }, "nodeID": "..." }, "id": 1, "rate": "60.0", "rate_currency": "eur", "nodeID": "..." }]Add an effort class rate to a service offering
Заголовок раздела «Add an effort class rate to a service offering»Add an effort class rate to a service offering with a specific ID.
POST /service_offerings/:id/effort_class_ratesWhen creating a new effort class rate for a service offering these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "effort_class": { "id": 4, "name": "Billable Support - Business Hours", "account": { "id": "pro-product", "name": "Widget International" }, "nodeID": "..." }, "id": 1, "rate": "60.0", "rate_currency": "eur", "nodeID": "..."}Update an effort class rate of a service offering
Заголовок раздела «Update an effort class rate of a service offering»Update an effort class rate with a specific ID of a service offering with a specific ID.
PATCH /service_offerings/:id/effort_class_rates/:effort_class_rate_idWhen updating an existing effort class rate for a service offering these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "effort_class": { "id": 4, "name": "Billable Support - Business Hours", "account": { "id": "pro-product", "name": "Widget International" }, "nodeID": "..." }, "id": 1, "rate": "60.0", "rate_currency": "eur", "nodeID": "..."}Remove an effort class rate from a service offering
Заголовок раздела «Remove an effort class rate from a service offering»Remove an effort class rate with a specific ID from a service offering with a specific ID.
DELETE /service_offerings/:id/effort_class_rates/:effort_class_rate_idResponse
Заголовок раздела «Response»Status: 204 No Contentid
Readonly integer — The unique ID of the effort class rate.
effort_class_id
Required reference to Effort class — The ID of the effort class related to the effort class rate.
rate
Required decimal — The rate per hour for the effort class.
rate_currency
Required reference — The currency of the rate per hour for the effort class.